Convert oslfsck to lopsub.
[osl.git] / INSTALL
1 As the bare minimum, you'll need gcc-4 and gnu make to install
2 libosl. lopsub is needed to build the oslfsck executable and to
3 generate its man page. Download and install lopsub with
4
5 git clone git://git.tuebingen.mpg.de/lopsub
6 cd lopsub && make && sudo make install
7
8 If everything mentioned above is available on your system, type
9
10 make
11
12 to build the library, the oslfsck executable and the man page. Then
13 type
14
15 make install
16
17 as root to install libosl, oslfsck and the man page. Finally, update
18 the library cache by running either
19
20 ldconfig # Linux, *BSD
21
22 or
23
24 update_dyld_shared_cache # MacOS
25
26 The default installation prefix is /usr/local. Use
27
28 make install PREFIX=/somewhere/else
29
30 to install in /somewhere/else instead.
31
32 The make targets in the web/ directory are used for web page generation
33 and are not needed to compile, install or use libosl. In order to
34 make these targets the following additional tools are needed:
35
36 - [doxygen](http://www.stack.nl/~dimitri/doxygen/)
37 - [discount](http://www.pell.portland.or.us/~orc/Code/discount/)
38 - [ImageMagick](http://www.imagemagick.org/script/index.php)
39
40 The osl logo was created with Adobe Illustrator by Sebastian Schultheiss.